# -*- coding: utf-8 -*-
#
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#  Noctua vagus - An adventure game with an owl as a main character         # .
#  Copyright (C) 2010  Lukáš Machyán (Phobulos@gmail.com)                   # .
#                                  (http://phobulos.wz.cz)                  # .
#                                                                           # .
#  This program is free software: you can redistribute it and/or modify     # .
#  it under the terms of the GNU General Public License as published by     # .
#  the Free Software Foundation, either version 3 of the License, or        # .
#  (at your option) any later version.                                      # .
#                                                                           # .
#  This program is distributed in the hope that it will be useful,          # .
#  but WITHOUT ANY WARRANTY; without even the implied warranty of           # .
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            # .
#  GNU General Public License for more details.                             # .
#                                                                           # .
#  You should have received a copy of the GNU General Public License        # .
#  along with this program. If not, see <http://www.gnu.org/licenses/>.     # .
#                                                                           # .
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # .
# . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .

def distance((x1, y1), (x2, y2)):
    vzd_x = abs(x1 - x2)
    vzd_y = abs(y1 - y2)
        
    return pow(pow(vzd_x,2) + pow(vzd_y,2), 0.5)
    
def speed_calc(t, a = 10.0):
    """Calculates velocity from acceleration and time"""
    return a * t
